SDL_HINT_HIDAPI_LIBUSB(3)

NAME
SDL_HINT_HIDAPI_LIBUSB - A variable to control whether HIDAPI uses libusb for device access.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_HIDAPI_LIBUSB SDL_HIDAPI_LIBUSB"

DESCRIPTION
By default libusb will only be used for a few devices that require direct USB access, and this can be controlled with

SDL_HINT_HIDAPI_LIBUSB_WHITELIST .

The variable can be set to the following values:

• "0": HIDAPI will not use libusb for device access.

• "1": HIDAPI will use libusb for device access if available. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.